Subject: RE: [SIP] Second try : Questions about REGISTER

From: "Alexandru Gavrilescu" <[email-masked]>
Date: Tue, 2 May 2000 11:48:38 -0700

I have a question regarding Jonathan's answer to the Shail's third
question.
Do we assume that tawatson has an account created for himself at
example.com or he is just a visitor at example.com?
I assume the first.
What would be the behaviour is [email-masked] would be just a
visitor at example.com?

-----Original Message-----
From: Jonathan Rosenberg [mailto:[email-masked]]
Sent: Monday, May 01, 2000 9:58 PM
To: Shail Bhatnagar
Cc: SIP IETF
Subject: Re: [SIP] Second try : Questions about REGISTER

Shail Bhatnagar wrote:
> 
> In section 16.1 of RFC2543bis there is an example of Registration. I
> have
> a couple of questions about this scenario. I would appreciate any
> responses.
> 
> 1) What would be the To header of the REGISTER that T. Watson sends to
> the registrar at example.com. Would it be [email-masked] or
> [email-masked] ?? As per the description in section 4.2.6, To
> header
> domain could be different from the domain of the Request-URI in the
> REGISTER.

Most likely [email-masked]. This is because if some UAC or proxy
wants to send a request to [email-masked], it will use DNS to find
the SIP server for example.com, and forward the request there. As a
result, watson will want to register [email-masked] with the
server for which requests to example.com will be routed. The spec does
not prohibit registering [email-masked] with example.com.
However, example.com is not likely to receive requests with domains of
bell-tel.com in the request URI.

> 
> 2) Let us say [email-masked] (From: [email-masked]) sends an INVITE to
> the
> proxy at bell-tel.com and the Request-URI is INVITE
[email-masked].
> As per the latest registration, the Contact is [email-masked],
so
> the proxy at bell-tel.com rewrites the Request-URI and sends it to the
> proxy at example.com - INVITE [email-masked]. Now what is the
> search
> key at the registrar - is it user@domain or simply user. If it is
simply
> user,
> then domain of To header in REGISTER is meaningless. If it is
> user@domain,
> then To header of the REGISTER sent to the registrar at example.com
must
> be
> [email-masked].

Thats your choice. If your proxy only handles a single domain, using
user alone as a lookup key into your database is fine. If your proxy
handles multiple domains, you will want to use the complete user@host.

> 
> 3) What if there already exists a user tawatson at the domain
> example.com.
> Should the registrar at example.com reject the registration ?? If yes,
> what response code should be used ??

No, the new Contact would be added to the existing registration. 

-Jonathan R.

-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (732) 741-4778
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 04 May 2000 23:57:14 -0400

> Alexandru Gavrilescu wrote:
> 

Whether he is visiting or not, ann account must be set up for him at
example.com. Watson can't just assume a registration to example.com will
succeed without knowing ahead of time what his address there is.

-Jonathan R.

---

From: "Lyndon Ong" <[email-masked]>
Date: Tue, 09 May 2000 08:21:31 -0700

Folks,

I've sent in updated version of the SIP ISUP MIME type draft
(draft-ietf-sip-isup-mime-01.txt).

Changes as a result of discussion on the sip-t list include the following:

-- ISUP "version" parameter is now mandatory, "base" is added as an
optional parameter
-- some modified wording is given in the security section reflecting
concerns about security of information in the encapsulated messages

A couple of corrections were made based on comments received:

-- some corrections were made to the list of different ISUP base versions
provided in the draft
-- some corrections were made to the ISUP example in section 4.1, esp. a
note that the ISUP message is provided starting with the Message Type Code
(without routing label or CIC).

Cheers,

L. Ong